pskc_set_key_data_counter(3)

NAME
pskc_set_key_data_counter - API function

SYNOPSIS
#include <pskc.h>

void pskc_set_key_data_counter(pskc_key_t * key, uint64_t counter);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

uint64_t counter
    counter value to set.

DESCRIPTION
Set the PSKC KeyPackage Key Data Counter value. This element contains the event counter for event-based OTP algorithms.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.